------------------------------------------------------------------------------------
--Name:  	tunianchunjie2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(382, 482)
CppScriptMgr:SetViewScale(230)
local effect_0 = CppScriptMgr:AddEffect("FF14", 378, 478, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("firecracker1", 374, 474, 33, 1, 1, 1)
local monster_0 = CppScriptMgr:AddPlayer(272, 384, 484, "TigerKing", 0, 0)
monster_0:SetDir(7)
monster_0:SetZoomPercent(150)
local monster_1 = CppScriptMgr:AddPlayer(288, 376, 476, "TigerCub", 0, 0)
monster_1:SetDir(7)
local monster_2 = CppScriptMgr:AddPlayer(288, 378, 484, "TigerCub", 0, 0)
monster_2:SetDir(7)
local monster_3 = CppScriptMgr:AddPlayer(288, 378, 490, "TigerCub", 0, 0)
monster_3:SetDir(7)
local monster_4 = CppScriptMgr:AddPlayer(288, 384, 478, "TigerCub", 0, 0)
monster_4:SetDir(7)
local monster_5 = CppScriptMgr:AddPlayer(288, 390, 480, "TigerCub", 0, 0)
monster_5:SetDir(7)
CppScriptMgr:WaitMilSec(230)
monster_0:SetAction(401)
monster_1:SetAction(401)
monster_2:SetAction(401)
monster_3:SetAction(401)
monster_4:SetAction(401)
monster_5:SetAction(401)
MoveView(382, 482, 374, 474, 2, 33, 1500)
monster_0:Say("Hoo-hoo!", 1000)
CppScriptMgr:WaitMilSec(680)
monster_0:SetAction(101)
CppScriptMgr:WaitMilSec(70)
monster_1:Say("Hoo-hoo!", 1000)
monster_2:Say("Hoo-hoo!", 1000)
monster_4:Say("Hoo-hoo!", 1000)
CppScriptMgr:WaitMilSec(650)
monster_0:Say("The tiger leaps forward and the rabbit brings good luck!", 1500)
CppScriptMgr:WaitMilSec(1880)
monster_0:Say("Wish you all the best!", 1500)
CppScriptMgr:WaitMilSec(1550)
monster_1:Say("All the best!", 1500)
monster_2:Say("All the best!", 1500)
monster_4:Say("All the best!", 1500)
CppScriptMgr:WaitMilSec(2910)